%global gem_name rails-controller-testing
Name:                rubygem-%{gem_name}
Version:             1.0.5
Release:             1
Summary:             Extracting `assigns` and `assert_template` from ActionDispatch
License:             MIT
URL:                 https://github.com/rails/rails-controller-testing
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0:              %{name}-rails6.patch

BuildArch:           noarch
BuildRequires:       ruby(release)
BuildRequires:       rubygems-devel
BuildRequires:       ruby >= 2.2.2
BuildRequires:       rubygem(railties) >= 5.0.1
%description
This gem brings back assigns to your controller tests as well as
assert_template to both controller and integration tests.

%package doc
Summary:             Documentation for %{name}
BuildArch:           noarch
Requires:            %{name} = %{version}-%{release}
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}
%patch0 -p1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
# kill the bundler
sed -i '/^Bundler/ s/^/#/' test/dummy/config/application.rb
ruby -Itest -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%license %{gem_instdir}/LICENSE
%dir %{gem_instdir}/
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}/
%doc %{gem_instdir}/README.md
%{gem_instdir}/test/
%{gem_instdir}/Rakefile

%changelog
* Thu Mar 3 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.0.5-1
- update to 1.0.5

* Thu Aug 20 2020 luoshengwei <luoshengwei@huawei.com> - 1.0.2-1
- package init
